MDVA-41597: Fout bij het toevoegen van meer dan één configureerbaar product aan winkelwagentje

Met de MDVA-41597-patch wordt het probleem opgelost waarbij gebruikers een fout krijgen wanneer ze meer dan één configureerbaar product met GraphQL aan het winkelwagentje toevoegen. Deze pleister is beschikbaar wanneer de Kwaliteitspatches (QPT) 1.1.6 is geïnstalleerd. De patch-id is MDVA-41597. Het probleem wordt volgens de planning opgelost in Adobe Commerce 2.4.4.

Betrokken producten en versies

De patch wordt gemaakt voor Adobe Commerce-versie:

Adobe Commerce (alle implementatiemethoden) 2.4.2-p1

Compatibel met Adobe Commerce-versies:

Adobe Commerce (alle implementatiemethoden) 2.4.2 - 2.4.3-p1

NOTE
De patch kan van toepassing worden op andere versies met nieuwe versies van het Hulpprogramma voor kwaliteitspatches. Als u wilt controleren of de patch compatibel is met uw Adobe Commerce-versie, werkt u de magento/quality-patches het pakket aan de recentste versie en controleer verenigbaarheid op Quality Patches Tool: Pagina met patches zoeken. Gebruik de patch-id als een zoekwoord om de patch te zoeken.

Probleem

Gebruikers krijgen een fout wanneer ze meer dan één configureerbaar product met GraphQL aan de winkelwagen toevoegen.

Stappen om te reproduceren:

Voeg meerdere configureerbare producten toe aan het winkelwagentje met GraphQL-mutatie: addConfigurableProductsToCart.

Verwachte resultaten:

Alle configureerbare producten worden toegevoegd aan de kar.

Werkelijke resultaten:

Alleen het eerste product wordt aan het winkelwagentje toegevoegd.

De patch toepassen

Om individuele flarden toe te passen, gebruik de volgende verbindingen afhankelijk van uw plaatsingsmethode:

Gerelateerde lezing

Raadpleeg voor meer informatie over het gereedschap Kwaliteitspatches:

Voor informatie over andere patches die beschikbaar zijn in QPT, raadpleegt u de Patches beschikbaar in QPT sectie.

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a